Package org.eclipse.birt.report.model.api.activity

# Interface ActivityStackListener

public interface ActivityStackListener
The interface receives events about activity stack changes. The listener can listen to the activity stack. A listener follows the adapter pattern: it adapts a "client" object (usually a UI object) to receive notifications from activity stack (the one from which to receive events.)

## Method Summary

Modifier and Type
Method
Description
`void`
`stackChanged(ActivityStackEvent event)`
Invoked when stack size changed, which is caused after the completion of each execution, transaction, undo, or redo.

## Method Details

### stackChanged

void stackChanged(ActivityStackEvent event)
Invoked when stack size changed, which is caused after the completion of each execution, transaction, undo, or redo.

Parameters:
  `event` - the activity stack event